Subject: [Bricklin] Bricklin #2555 at Bonneville Salt Flats

From: Glenda Cutright <[email-masked]>
Date: Sun, 27 Jul 2014 19:50:58 -0700

Hi guys, This is to inform you that Papa's Pass Time Racing will be 
running Bricklin #2555 at Speed Week at the Bonneville Salt Flatts 
August 8th through the 12th. We will be running for time only. Our goal 
this year is to make sure the car runs straight down the track. We will 
be keeping it below 175 miles an hour this year. If everything works out 
right this year our goal for next year is 200 miles per hour. If you are 
in the area drop by and see it and us. It is car #606. Merv Cutright
  Bricklin #1349, 2009, 2555
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive